Package twisted :: Package im :: Module interfaces :: Class IAccount |
[frames | no frames]

## Class IAccount

    Interface --+
                |
               IAccount

I represent a user's account with a chat service.

Method Summary
| ``__init__`(self, accountName, autoLogin, username, password, host, port)`
`Group` | ``getGroup`(self, groupName)`
`Person` | ``getPerson`(self, personName)`
boolean | ``isOnline`(self)` Am I online?
| ``logOff`(self)` Sign off.
Deferred `Client` | ``logOn`(self, chatui)` Go on-line.

Instance Variable Summary
`IClient` | `client`: The Client currently connecting to this account, if any.

Class Variable Summary
string | `gatewayType`: Identifies the protocol used by this account.

Method Details

### __init__(self, accountName, autoLogin, username, password, host, port) (Constructor) Parameters: `accountName` - A name to refer to the account by locally. (type=string) `autoLogin` (type=boolean) `username` (type=string) `password` (type=string) `host` (type=string) `port` (type=integer)

### getGroup(self, groupName) Returns: `Group`

### getPerson(self, personName) Returns: `Person`

### isOnline(self) Am I online? Returns: boolean

### logOff(self) Sign off.

### logOn(self, chatui) Go on-line. Parameters: `chatui` (type=Implementor of `IChatUI`) Returns: Deferred `Client`

Instance Variable Details

### client The Client currently connecting to this account, if any. Type: `IClient`

Class Variable Details

### gatewayType Identifies the protocol used by this account. Type: string

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net